PDA

View Full Version : EMI OS X problems


MyJelleo
03-24-2004, 12:05 AM
Today was a good day, and today was a bad day.

I just received my copy of EMI in the mail, only to install it onto my powerbook and realize that the in-game movies won't play (black screen with sound) and the second patch doesn't wish to install itself.

My powerbook right now has the following specs.

OS X 3.3
G4 1.25 ghz
512 megs of ram
Mobile Radeon 9600 64 meg

I don't care about the second patch right now, but what I do care about is getting the movies playing. Any ideas?

And don't say, "Get the PC/PS 2 version" cause I know some smart *ss out there is going to say that.

MyJelleo
03-24-2004, 05:05 AM
Okay I did some research and it turns out that the problem may be related to the "Bink Shared Library". Turns out The BSL isn't all that friendly with OS X.

The BSL is the item that causes the movies to be played. I know this because everytime I mess with it the game crashes the moment a movie begins.

I tried switching it out with a more current library, the "Bink Carbon Library" which can be obtained through the latest Myst III OS X patch (one can find it if they type "M3OSX1.sit" into the google search engine.)

However, that just crashes the game as well. So, now I'm at a loss.

MyJelleo
03-24-2004, 06:18 PM
I seem to be the only one thriving on replying to my post...

Well anyway, I did some more reading around and I read some where that a guy/gal was able to play EMI through the scummvm app. I have my doubts, but...

If that's at all possible, could someone tell me how?

MrManager
03-24-2004, 06:38 PM
I don't think a lot of people know anything about Macs here, though maybe Jake will come in and solve it all.

As for ScummVM and EMI... They're making 'Residual' which should run Grim Fandango, but I don't think it's very far along and I don't know if they've even started looking at support for EMI. More information here - http://www.scummvm.org/subprojects.php

MyJelleo
03-24-2004, 07:08 PM
thanks for the reply and for the info.

I just called technical help 15 minutes ago and their solution to me was depressing.

They understand that EMI is not compatible with OSX and they do not intend on making any patches for it. Their solution was to return the game and purchase an OS X compatible game.

I'm not at all mad, the lady on the phone was very friendly about it. But still, if a company (ASPYR) releases a game, I think it's their obligation to keep it running smooth if it's still strongly existant on the market shelves or at least put an incompatibility list on their website showing the various problems that each of their games have.

I'm very saddened by this, and I probably won't be buying any more of their games after this experience. =(

MrManager
03-24-2004, 07:16 PM
Isn't there like an OS9 compatability mode thing under OS X?

MyJelleo
03-24-2004, 07:23 PM
Yeah, it's called "Classic"

EMI automatically runs under that, and still no go. I guess I could just downgrade to OS 9 on my powerbook just so I could play the game in its full beauty. =\

Joshi
03-26-2004, 02:20 PM
were you using the PC, or mac version of EMI, only my friend had that problem using the PC version on Virtual PC on his mac and it didn't work, so he got the mac version.

MyJelleo
03-26-2004, 05:52 PM
I have the mac version of the game. Do the in game movies work for you friend and what OS is he running?

I've tested the game out on two powerbooks, an older model that my roommate owns and my own. Sadly the same outcome befell both machines.

If the movies are working for your friend, I'm guessing that he either is still running 0S 9 or an older version of OS X.

Joshi
03-27-2004, 02:23 PM
I think at the time he had OS9 (it was a couple of years ago).

If all else fails, take the disc back to where you got it and buy another, it may simply be a problem with the disk.

carlomontec
04-30-2004, 07:52 PM
I think that the problem is the lack of booting OS 9 in Panther. I have an iBook G4 witn Panther and have also the same problem. I have know of guys with Jaguar, that boot in OS 9 and run EMI perfectly. I almost sure that is impossible to boot in Classic in Panther, if only we can do that...